nvme_ns_attach_ctrls(9)

NAME
nvme_ns_attach_ctrls - Attach namespace to controllers

SYNOPSIS
int nvme_ns_attach_ctrls (int fd , __u32 nsid , struct nvme_ctrl_list *ctrlist );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace ID to attach

ctrlist
    Controller list to modify attachment state of nsid

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.